lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Adrien Grand (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (LUCENE-6572) Highlighter depends on analyzers-common
Date Thu, 09 Jun 2016 17:28:21 GMT

     [ https://issues.apache.org/jira/browse/LUCENE-6572?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Adrien Grand updated LUCENE-6572:
---------------------------------
    Attachment: LUCENE-6572.patch

Here is a patch. In the mean time, the ngram analyzer has been used in tests, so I adder a
simplified (works on chars rather than code points, minLen==maxLen, does not refill) version
to the test case.

> Highlighter depends on analyzers-common
> ---------------------------------------
>
>                 Key: LUCENE-6572
>                 URL: https://issues.apache.org/jira/browse/LUCENE-6572
>             Project: Lucene - Core
>          Issue Type: Bug
>          Components: modules/highlighter
>            Reporter: Robert Muir
>            Priority: Blocker
>         Attachments: LUCENE-6572.patch
>
>
> This is a huge WTF, just for "LimitTokenOffsetFilter" which is only useful for highlighting.
> Adding all these intermodule dependencies makes things too hard to use.
> This is a 5.3 release blocker.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message